Loading...
Searching...
No Matches
gr::blocks::wav_header_info Struct Reference

WAV file header information. More...

`#include <gnuradio/blocks/wavfile.h>`

## Public Attributes

int | sample_rate
| sample rate [S/s]
int | nchans
| Number of channels.
int | bytes_per_sample
| Bytes per sample.
long long | samples_per_chan
| Number of samples per channel.
int | format
| sndfile format
int | subformat
| sndfile format

## Detailed Description

WAV file header information.

## Member Data Documentation

## bytes_per_sample

int gr::blocks::wav_header_info::bytes_per_sample

Bytes per sample.

## format

int gr::blocks::wav_header_info::format

sndfile format

## nchans

int gr::blocks::wav_header_info::nchans

Number of channels.

## sample_rate

int gr::blocks::wav_header_info::sample_rate

sample rate [S/s]

## samples_per_chan

long long gr::blocks::wav_header_info::samples_per_chan

Number of samples per channel.

## subformat

int gr::blocks::wav_header_info::subformat

sndfile format

The documentation for this struct was generated from the following file:

- wavfile.h